#
# Conditional build:
%bcond_with	bootstrap	# don't require dictionary for package build
#
Summary:	A kana(romaji)-kanji conversion engine using ChaSen algorithm
Summary(pl.UTF-8):	Silnik konwersji kana(romaji)-kanji, wykorzystujący algorytm ChaSen
Name:		mana
Version:	0.2.1
Release:	7
License:	GPL v2+
Group:		Applications/Text
Source0:	http://dl.sourceforge.jp/shinji/20514/%{name}-%{version}.tar.bz2
# Source0-md5:	3a173e9c6047ed18ae8080cfcd38f3a4
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-change_scheme_dir.patch
Patch2:		%{name}-chasen.patch
Patch3:		%{name}-no-libiconv.patch
URL:		http://sourceforge.jp/projects/shinji/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	iconv
BuildRequires:	libtool
BuildRequires:	ocaml
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-findlib
Requires:	gdbm
%{!?with_bootstrap:Requires:	manadic}
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A kana(romaji)-kanji conversion engine using ChaSen algorithm.

%description -l pl.UTF-8
Silnik konwersji kana(romaji)-kanji, wykorzystujący algorytm ChaSen.

%package uim
Summary:	Mana UIM support
Summary(pl.UTF-8):	Wsparcie Mana dla UIM-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	uim

%description uim
Mana UIM support.

%description uim -l pl.UTF-8
Wsparcie Mana dla UIM-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1

mv lib/{,mana-}chasen.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/uim

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install mana-prelude.scm for uim
install -p mana/mana-prelude.scm $RPM_BUILD_ROOT%{_datadir}/uim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README {AUTHORS,COPYING,NEWS,README}.chasen
%attr(755,root,root) %{_bindir}/mana
%attr(755,root,root) %{_bindir}/mana-config
%dir %{_libdir}/mana
%attr(755,root,root) %{_libdir}/mana/make*

%files uim
%defattr(644,root,root,755)
%{_datadir}/uim/mana-prelude.scm
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mana.git;a=log;h=auto/th/mana-0.2.1-7

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> ecc2e0b
- rebuild with ocaml 4.02
- release 7 (by relup.sh)

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 308ad13
- added no-libiconv patch to avoid using libiconv if found (iconv() is in glibc)

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> e1da268
- pl

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 48d96f0
- release 6 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 16eda9b
- Rebuild with DB 5.3
- release 5 (by relup.sh)

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 22d4369
- release 4

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> b9fd420
- rel 3
- added UIM support package

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> f2e6fc0
- ac/am/lt BRs

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> 0e99c29
- rel 2
- fix build conflict with installed chasen-devel

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> 6252d0c
- added bootstrap bcond

* Fri Jul 15 2011 Jan Rękorajski <baggins@pld-linux.org> b9a2961
- initial revision

